## ros-humble-rosbag2-transport 0.15.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbag2_transport)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# Windows supplies macros for min and max by default. We should only use min and max from stl
if(WIN32)
  add_definitions(-DNOMINMAX)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_ros REQUIRED)
find_package(keyboard_handler REQUIRED)
find_package(rcl REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw REQUIRED)
find_package(rosbag2_compression REQUIRED)
find_package(rosbag2_cpp REQUIRED)
find_package(rosbag2_interfaces REQUIRED)
find_package(rosbag2_storage REQUIRED)
find_package(rmw_implementation_cmake REQUIRED)
find_package(shared_queues_vendor REQUIRED)
find_package(yaml_cpp_vendor REQUIRED)

add_library(${PROJECT_NAME} SHARED
  src/rosbag2_transport/bag_rewrite.cpp
  src/rosbag2_transport/player.cpp
  src/rosbag2_transport/qos.cpp
  src/rosbag2_transport/reader_writer_factory.cpp
  src/rosbag2_transport/recorder.cpp
  src/rosbag2_transport/record_options.cpp
  src/rosbag2_transport/topic_filter.cpp)
target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/${PROJECT_NAME}>)
ament_target_dependencies(${PROJECT_NAME}
  keyboard_handler
  rcl
  rclcpp
  rcutils
  rmw
  rosbag2_compression
  rosbag2_cpp
  rosbag2_interfaces
  rosbag2_storage
  shared_queues_vendor
  yaml_cpp_vendor
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "ROSBAG2_TRANSPORT_BUILDING_LIBRARY")

install(
  DIRECTORY include/
  DESTINATION include/${PROJECT_NAME}
)
install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

# Export old-style CMake variables
ament_export_include_directories("include/${PROJECT_NAME}")
ament_export_libraries(${PROJECT_NAME})

# Export modern CMake targets
ament_export_targets(export_${PROJECT_NAME})

ament_export_dependencies(
  keyboard_handler
  rosbag2_cpp
  rosbag2_compression
  rosbag2_interfaces
  shared_queues_vendor
  yaml_cpp_vendor)

function(create_tests_for_rmw_implementation)
  # disable the following tests for connext
  # due to slower discovery of nodes
  set(SKIP_TEST "")
  if(${rmw_implementation} MATCHES "rmw_connext(.*)")
    set(SKIP_TEST "SKIP_TEST")
  endif()

  rosbag2_transport_add_gmock(test_play
    test/rosbag2_transport/test_play.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common
    ${SKIP_TEST})

  rosbag2_transport_add_gmock(test_play_loop
    test/rosbag2_transport/test_play_loop.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common
    ${SKIP_TEST})

  rosbag2_transport_add_gmock(test_play_publish_clock
    test/rosbag2_transport/test_play_publish_clock.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common
    ${SKIP_TEST})

  rosbag2_transport_add_gmock(test_play_timing
    test/rosbag2_transport/test_play_timing.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_play_seek
    test/rosbag2_transport/test_play_seek.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_play_services
    test/rosbag2_transport/test_play_services.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_play_topic_remap
    test/rosbag2_transport/test_play_topic_remap.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common
    ${SKIP_TEST})

  rosbag2_transport_add_gmock(test_play_next
      test/rosbag2_transport/test_play_next.cpp
      INCLUDE_DIRS $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/rosbag2_transport>
      LINK_LIBS rosbag2_transport
      AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_burst
      test/rosbag2_transport/test_burst.cpp
      INCLUDE_DIRS $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/rosbag2_transport>
      LINK_LIBS rosbag2_transport
      AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_qos
    test/rosbag2_transport/test_qos.cpp
    INCLUDE_DIRS $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    LINK_LIBS rosbag2_transport
    AMENT_DEPS rosbag2_test_common yaml_cpp_vendor)

  rosbag2_transport_add_gmock(test_record
    test/rosbag2_transport/test_record.cpp
    INCLUDE_DIRS $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/rosbag2_transport>
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common
    ${SKIP_TEST})

  rosbag2_transport_add_gmock(test_record_all
    test/rosbag2_transport/test_record_all.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_record_all_ignore_leaf_topics
    test/rosbag2_transport/test_record_all_ignore_leaf_topics.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_record_all_include_unpublished_topics
    test/rosbag2_transport/test_record_all_include_unpublished_topics.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_record_all_no_discovery
    test/rosbag2_transport/test_record_all_no_discovery.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_record_all_use_sim_time
    test/rosbag2_transport/test_record_all_use_sim_time.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_keyboard_controls
    test/rosbag2_transport/test_keyboard_controls.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_record_regex
    test/rosbag2_transport/test_record_regex.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common
    ${SKIP_TEST})

  rosbag2_transport_add_gmock(test_record_services
    test/rosbag2_transport/test_record_services.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_component_parameters
      test/rosbag2_transport/test_composable_recorder.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)

  if(${rmw_implementation} MATCHES "rmw_cyclonedds(.*)")
    ament_add_test_label(test_play_services__rmw_cyclonedds_cpp xfail)
  endif()

  if(${rmw_implementation} MATCHES "rmw_fastrtps(.*)")
    ament_add_test_label(test_play_services__rmw_fastrtps_cpp xfail)
  endif()
endfunction()

if(BUILD_TESTING)
  add_definitions(-D_SRC_RESOURCES_DIR_PATH="${CMAKE_CURRENT_SOURCE_DIR}/test/resources")

  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_index_cpp REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  find_package(test_msgs REQUIRED)
  find_package(rosbag2_test_common REQUIRED)
  include(cmake/rosbag2_transport_add_gmock.cmake)
  ament_lint_auto_find_test_dependencies()
  call_for_each_rmw_implementation(create_tests_for_rmw_implementation)

  ament_add_gmock(test_record_options
    test/rosbag2_transport/test_record_options.cpp)
  target_link_libraries(test_record_options ${PROJECT_NAME})

  ament_add_gmock(test_topic_filter
    test/rosbag2_transport/test_topic_filter.cpp)
  target_include_directories(test_topic_filter PRIVATE
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/rosbag2_transport>)
  target_link_libraries(test_topic_filter rosbag2_transport)

  ament_add_gmock(test_rewrite
    test/rosbag2_transport/test_rewrite.cpp)
  target_link_libraries(test_rewrite ${PROJECT_NAME})
  ament_target_dependencies(test_rewrite keyboard_handler rcpputils rosbag2_cpp test_msgs)
endif()

ament_package()

=== debian/changelog ===
ros-humble-rosbag2-transport (0.15.7-1jammy) jammy; urgency=high

  * [humble] Fix for possible freeze in Recorder::stop() (backport #1381 <https://github.com/ros2/rosbag2/issues/1381>) (#1388 <https://github.com/ros2/rosbag2/issues/1388>)
  * [humble] Fix for rosbag2_transport::Recorder failures due to the unhandled exceptions (backport #1382 <https://github.com/ros2/rosbag2/issues/1382>) (#1403 <https://github.com/ros2/rosbag2/issues/1403>)
  * [humble] When using sim time, wait for /clock before beginning recording (backport #1378 <https://github.com/ros2/rosbag2/issues/1378>) (#1392 <https://github.com/ros2/rosbag2/issues/1392>)
  * Add recorder stop() API (backport #1300 <https://github.com/ros2/rosbag2/issues/1300>) (#1396 <https://github.com/ros2/rosbag2/issues/1396>)
  * Contributors: Michael Orlov, mergify[bot], zeal-up

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rosbag2-transport (0.15.6-1jammy) jammy; urgency=high

  * [Humble] Bugfix for parameters not passing to recorder's node from child component (backport #1360 <https://github.com/ros2/rosbag2/issues/1360>) (#1368 <https://github.com/ros2/rosbag2/issues/1368>)
  * Fix memory issue when multiple writers with message compression_mode required (#1331 <https://github.com/ros2/rosbag2/issues/1331>)
  * Print "Hidden topics are not recorded" only once. (#1225 <https://github.com/ros2/rosbag2/issues/1225>) (#1323 <https://github.com/ros2/rosbag2/issues/1323>)
  * Contributors: zeal-up, Michael Orlov, Patrick Roncagliolo, rshanor

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 05 Jun 2023 00:00:00 -0000

ros-humble-rosbag2-transport (0.15.5-1jammy) jammy; urgency=high

  * [humble] Redesign record_services tests to make them more deterministic (#1122 <https://github.com/ros2/rosbag2/issues/1122>) (#1142 <https://github.com/ros2/rosbag2/issues/1142>)
  * Use RMW methods to initialize endpoint info instead of brace initializer to guard against upcoming struct change (#1257 <https://github.com/ros2/rosbag2/issues/1257>) (#1275 <https://github.com/ros2/rosbag2/issues/1275>)
  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-rosbag2-transport (0.15.4-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-rosbag2-transport (0.15.3-1jammy) jammy; urgency=high

  * Mark test_play_services as xfail for FastRTPS and CycloneDDS (#1091 <https://github.com/ros2/rosbag2/issues/1091>) (#1136 <https://github.com/ros2/rosbag2/issues/1136>)
  * Fix hangout in rosbag2 player and recorder when pressing CTRL+C (#1081 <https://github.com/ros2/rosbag2/issues/1081>) (#1085 <https://github.com/ros2/rosbag2/issues/1085>)
  * make writer and option variables private instead of protected (#1097 <https://github.com/ros2/rosbag2/issues/1097>)
  * Revert "[humble] Backport. Added support for filtering topics via regular expressions (#1034 <https://github.com/ros2/rosbag2/issues/1034>)- (#1039 <https://github.com/ros2/rosbag2/issues/1039>)" (#1069 <https://github.com/ros2/rosbag2/issues/1069>)
  * Notification of significant events during bag recording and playback (#908 <https://github.com/ros2/rosbag2/issues/908>) (#1037 <https://github.com/ros2/rosbag2/issues/1037>)
  * Backport. Add use_sim_time option to record verb (#1017 <https://github.com/ros2/rosbag2/issues/1017>)
  * Fix for rosbag2::Player freeze when ctrl+c in pause mode (#1002 <https://github.com/ros2/rosbag2/issues/1002>) (#1016 <https://github.com/ros2/rosbag2/issues/1016>)
  * Make unpublished topics unrecorded by default (#968 <https://github.com/ros2/rosbag2/issues/968>) (#1008 <https://github.com/ros2/rosbag2/issues/1008>)
  * Contributors: Bernardo Taveira, Esteve Fernandez, Geoffrey Biggs, Keisuke Shima, Michael Orlov, Sean Kelly, mergify[bot]

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-rosbag2-transport (0.15.2-1jammy) jammy; urgency=high

  * Make peek_next_message_from_queue return a SharedPtr. (#993 <https://github.com/ros2/rosbag2/issues/993>)
  * Change the topic names in test_record.cpp (#988 <https://github.com/ros2/rosbag2/issues/988>)
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 11 May 2022 00:00:00 -0000

ros-humble-rosbag2-transport (0.15.1-1jammy) jammy; urgency=high

  * support to publish as loaned message (#981 <https://github.com/ros2/rosbag2/issues/981>)
  * Contributors: Audrow Nash, Barry Xu

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 06 Apr 2022 00:00:00 -0000

ros-humble-rosbag2-transport (0.15.0-1jammy) jammy; urgency=high

  * support to publish as loaned message (#981 <https://github.com/ros2/rosbag2/issues/981>)
  * Contributors: Barry Xu

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-rosbag2-transport (0.14.1-1jammy) jammy; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 00:00:00 -0000

ros-humble-rosbag2-transport (0.14.0-1jammy) jammy; urgency=high

  * Add burst-mode to Player (#977 <https://github.com/ros2/rosbag2/issues/977>)
  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Make sure published messages are acknowledged for play mode (#951 <https://github.com/ros2/rosbag2/issues/951>)
  * Contributors: Barry Xu, Geoffrey Biggs, Shane Loretz

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 00:00:00 -0000

ros-humble-rosbag2-transport (0.13.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-humble-rosbag2-transport (0.12.0-1jammy) jammy; urgency=high



=== debian/control ===
Source: ros-humble-rosbag2-transport
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-cmake-ros, ros-humble-ament-index-cpp <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-keyboard-handler, ros-humble-rclcpp, ros-humble-rmw, ros-humble-rmw-implementation-cmake <!nocheck>, ros-humble-rosbag2-compression, ros-humble-rosbag2-compression-zstd <!nocheck>, ros-humble-rosbag2-cpp, ros-humble-rosbag2-interfaces, ros-humble-rosbag2-storage, ros-humble-rosbag2-test-common <!nocheck>, ros-humble-shared-queues-vendor, ros-humble-test-msgs <!nocheck>, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rosbag2-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-keyboard-handler, ros-humble-rclcpp, ros-humble-rmw, ros-humble-rosbag2-compression, ros-humble-rosbag2-cpp, ros-humble-rosbag2-interfaces, ros-humble-rosbag2-storage, ros-humble-shared-queues-vendor, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Description: Layer encapsulating ROS middleware to allow rosbag2 to be used with or without middleware

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rosbag2-transport//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-rosbag2-transport 0.15.12

=== debian/changelog ===
ros-humble-rosbag2-transport (0.15.12-1bookworm) bookworm; urgency=high

  * [humble] Bugfix for bag_split event callbacks called to early with file compression (backport #1643 <https://github.com/ros2/rosbag2/issues/1643>) (#1733 <https://github.com/ros2/rosbag2/issues/1733>)
  * [humble] rosbag2_cpp: test more than one storage plugin (backport #1196 <https://github.com/ros2/rosbag2/issues/1196>) (#1721 <https://github.com/ros2/rosbag2/issues/1721>)
  * [humble] Remove explicit sqlite3 from code (backport #1166 <https://github.com/ros2/rosbag2/issues/1166>) (#1723 <https://github.com/ros2/rosbag2/issues/1723>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Sat, 27 Jul 2024 16:00:00 -0000

ros-humble-rosbag2-transport (0.15.11-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 19 May 2024 16:00:00 -0000

ros-humble-rosbag2-transport (0.15.10-1bookworm) bookworm; urgency=high

  * Add /bigobj to MSVC compiles. (#1571 <https://github.com/ros2/rosbag2/issues/1571>)
  * Contributors: Chris Lalancette

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 16 May 2024 16:00:00 -0000

ros-humble-rosbag2-transport (0.15.9-1bookworm) bookworm; urgency=high

  * [humble] Give proper log message for --start-paused (backport #1537 <https://github.com/ros2/rosbag2/issues/1537>) (#1541 <https://github.com/ros2/rosbag2/issues/1541>)
  * [humble] Recording stopped prints only once. (backport #1530 <https://github.com/ros2/rosbag2/issues/1530>) (#1535 <https://github.com/ros2/rosbag2/issues/1535>)
  * [humble] Bugfix for incorrect playback rate changes when pressing buttons (backport #1513 <https://github.com/ros2/rosbag2/issues/1513>) (#1515 <https://github.com/ros2/rosbag2/issues/1515>)
  * Contributors: Michael Orlov <mailto:michael.orlov@apex.ai>, Christoph Froehlich <mailto:christoph.froehlich@ait.ac.at>, Tomoya Fujita <mailto:Tomoya.Fujita@sony.com>

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rosbag2-transport (0.15.8-1bookworm) bookworm; urgency=high

  * Don't warn for unknown types if topics are not selected (#1466 <https://github.com/ros2/rosbag2/issues/1466>) (#1469 <https://github.com/ros2/rosbag2/issues/1469>)
  * Fix the build with rmw_fastrtps_dynamic. (#1416 <https://github.com/ros2/rosbag2/issues/1416>) (#1439 <https://github.com/ros2/rosbag2/issues/1439>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rosbag2-transport (0.15.7-1bookworm) bookworm; urgency=high

  * [humble] Fix for possible freeze in Recorder::stop() (backport #1381 <https://github.com/ros2/rosbag2/issues/1381>) (#1388 <https://github.com/ros2/rosbag2/issues/1388>)
  * [humble] Fix for rosbag2_transport::Recorder failures due to the unhandled exceptions (backport #1382 <https://github.com/ros2/rosbag2/issues/1382>) (#1403 <https://github.com/ros2/rosbag2/issues/1403>)
  * [humble] When using sim time, wait for /clock before beginning recording (backport #1378 <https://github.com/ros2/rosbag2/issues/1378>) (#1392 <https://github.com/ros2/rosbag2/issues/1392>)
  * Add recorder stop() API (backport #1300 <https://github.com/ros2/rosbag2/issues/1300>) (#1396 <https://github.com/ros2/rosbag2/issues/1396>)
  * Contributors: Michael Orlov, mergify[bot], zeal-up

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rosbag2-transport (0.15.6-1bookworm) bookworm; urgency=high

  * [Humble] Bugfix for parameters not passing to recorder's node from child component (backport #1360 <https://github.com/ros2/rosbag2/issues/1360>) (#1368 <https://github.com/ros2/rosbag2/issues/1368>)
  * Fix memory issue when multiple writers with message compression_mode required (#1331 <https://github.com/ros2/rosbag2/issues/1331>)
  * Print "Hidden topics are not recorded" only once. (#1225 <https://github.com/ros2/rosbag2/issues/1225>) (#1323 <https://github.com/ros2/rosbag2/issues/1323>)
  * Contributors: zeal-up, Michael Orlov, Patrick Roncagliolo, rshanor

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-rosbag2-transport (0.15.5-1bookworm) bookworm; urgency=high

  * [humble] Redesign record_services tests to make them more deterministic (#1122 <https://github.com/ros2/rosbag2/issues/1122>) (#1142 <https://github.com/ros2/rosbag2/issues/1142>)
  * Use RMW methods to initialize endpoint info instead of brace initializer to guard against upcoming struct change (#1257 <https://github.com/ros2/rosbag2/issues/1257>) (#1275 <https://github.com/ros2/rosbag2/issues/1275>)
  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rosbag2-transport (0.15.4-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rosbag2-transport (0.15.3-1bookworm) bookworm; urgency=high

  * Mark test_play_services as xfail for FastRTPS and CycloneDDS (#1091 <https://github.com/ros2/rosbag2/issues/1091>) (#1136 <https://github.com/ros2/rosbag2/issues/1136>)
  * Fix hangout in rosbag2 player and recorder when pressing CTRL+C (#1081 <https://github.com/ros2/rosbag2/issues/1081>) (#1085 <https://github.com/ros2/rosbag2/issues/1085>)
  * make writer and option variables private instead of protected (#1097 <https://github.com/ros2/rosbag2/issues/1097>)
  * Revert "[humble] Backport. Added support for filtering topics via regular expressions (#1034 <https://github.com/ros2/rosbag2/issues/1034>)- (#1039 <https://github.com/ros2/rosbag2/issues/1039>)" (#1069 <https://github.com/ros2/rosbag2/issues/1069>)


=== debian/control ===
Source: ros-humble-rosbag2-transport
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-cmake-ros, ros-humble-ament-index-cpp <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-keyboard-handler, ros-humble-rclcpp, ros-humble-rmw, ros-humble-rmw-implementation-cmake <!nocheck>, ros-humble-rosbag2-compression, ros-humble-rosbag2-compression-zstd <!nocheck>, ros-humble-rosbag2-cpp, ros-humble-rosbag2-interfaces, ros-humble-rosbag2-storage, ros-humble-rosbag2-storage-default-plugins <!nocheck>, ros-humble-rosbag2-test-common <!nocheck>, ros-humble-shared-queues-vendor, ros-humble-test-msgs <!nocheck>, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rosbag2-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-keyboard-handler, ros-humble-rclcpp, ros-humble-rmw, ros-humble-rosbag2-compression, ros-humble-rosbag2-cpp, ros-humble-rosbag2-interfaces, ros-humble-rosbag2-storage, ros-humble-shared-queues-vendor, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Description: Layer encapsulating ROS middleware to allow rosbag2 to be used with or without middleware

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rosbag2-transport//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rosbag2-transport//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rosbag2-transport//opt/ros/humble/opt/rosbag2_transport/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
